org.apache.flume.node

## Class SimpleMaterializedConfiguration

- java.lang.Object
- - org.apache.flume.node.SimpleMaterializedConfiguration

- All Implemented Interfaces:
    MaterializedConfiguration

      public class SimpleMaterializedConfiguration
      extends Object
      implements MaterializedConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleMaterializedConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChannel(String name, Channel channel)`
    `void` | `addSinkRunner(String name, SinkRunner sinkRunner)`
    `void` | `addSourceRunner(String name, SourceRunner sourceRunner)`
    `com.google.common.collect.ImmutableMap<String,Channel>` | `getChannels()`
    `com.google.common.collect.ImmutableMap<String,SinkRunner>` | `getSinkRunners()`
    `com.google.common.collect.ImmutableMap<String,SourceRunner>` | `getSourceRunners()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMaterializedConfiguration

          public SimpleMaterializedConfiguration()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addSourceRunner

          public void addSourceRunner(String name,
                             SourceRunner sourceRunner)

      Specified by:
        `addSourceRunner` in interface `MaterializedConfiguration`

    - #### addSinkRunner

          public void addSinkRunner(String name,
                           SinkRunner sinkRunner)

      Specified by:
        `addSinkRunner` in interface `MaterializedConfiguration`

    - #### addChannel

          public void addChannel(String name,
                        Channel channel)

      Specified by:
        `addChannel` in interface `MaterializedConfiguration`

    - #### getChannels

          public com.google.common.collect.ImmutableMap<String,Channel> getChannels()

      Specified by:
        `getChannels` in interface `MaterializedConfiguration`

    - #### getSourceRunners

          public com.google.common.collect.ImmutableMap<String,SourceRunner> getSourceRunners()

      Specified by:
        `getSourceRunners` in interface `MaterializedConfiguration`

    - #### getSinkRunners

          public com.google.common.collect.ImmutableMap<String,SinkRunner> getSinkRunners()

      Specified by:
        `getSinkRunners` in interface `MaterializedConfiguration`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.